EDIT - feature request #9498

Password Recovery, Registration and Login Dialog Tab fully functional
03/02/2021 09:33 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal

Description

this is needed for the cdm-vaadin login dialog tab "Password Recovery "

Related issues:

Related to EDIT - feature request #9497: User self registration service Closed
Related to EDIT - feature request #7025: LoginDialog tabs configurable per cd... New

Related to EDIT - feature request #9859: Password Recovery Ul Closed
Related to EDIT - feature request #9877: Account Registration Ul Closed

Associated revisions

Revision a7e076e4 - 11/11/2021 11:22 AM - Andreas Kohlbecker

ref #9498 using PasswordResetService for Password Recover tab

Revision ac3214b3 - 11/15/2021 03:56 PM - Andreas Kohlbecker

ref #9859 & ref #9498 PasswordRevoveryEvent as UserAccountEvent with action; fixing reset url template - fully functinal now

Revision b659f5ea - 11/22/2021 05:56 PM - Andreas Kohlbecker

ref #9877, ref #9498 LoginDialog Tab for registration request ready and account registration ui implemented

Revision a650c2c1 - 12/06/2021 05:17 PM - Andreas Kohlbecker

ref #9498 providing feedback to users in case an unknown email has been entered

History

#1 - 03/02/2021 09:33 AM - Andreas Kohlbecker

- Related to feature request #9497: User self registration service added

#2 - 03/02/2021 09:34 AM - Andreas Kohlbecker

- Related to feature request #7025: LoginDialog tabs configurable per cdmlib-remote instance added

#3 -11/11/2021 11:19 AM - Andreas Kohlbecker

- Target version deleted (Phycobank ready for submitters)

#4 - 11/11/2021 11:21 AM - Andreas Kohlbecker

- Tags changed from phycobank to phycobank, phycobank-ready-for-submitters

- Subject changed from User self password recovery service to Password Recovery Login Dialog Tab fully funtional
- Category changed from cdmlib to cdm-vaadin

- Status changed from New to In Progress

- Target version set to Release 5.45

reusing ticket instead of closing as duplicate

#5 - 11/11/2021 11:24 AM - Andreas Kohlbecker
- Related to feature request #9859: Password Recovery Ul added
#6 - 11/11/2021 11:24 AM - Andreas Kohlbecker

- Subject changed from Password Recovery Login Dialog Tab fully funtional to Password Recovery Login Dialog Tab fully functional

#7 - 11/18/2021 10:49 AM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#8 - 11/22/2021 05:52 PM - Andreas Kohlbecker
- Subject changed from Password Recovery Login Dialog Tab fully functional to Password Recovery, Registration and Login Dialog Tab fully functional
- Status changed from Closed to In Progress

- % Done changed from 100 to 40

#9 - 11/22/2021 05:54 PM - Andreas Kohlbecker
- Related to feature request #9877: Account Registration Ul added

#10 - 11/24/2021 05:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.45 to Fauna Europaea Portal Release

#11 - 11/24/2021 05:31 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed
- Target version changed from Fauna Europaea Portal Release to Release 5.45

- % Done changed from 40 to 100

#12 - 02/15/2022 03:40 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.29
